Change logs for xbmc source package in Raring

  • xbmc (2:12.0~git20130103.0959-rc3-0ubuntu1b1) raring; urgency=low
    
      * No-change rebuild against libudev1
     -- Martin Pitt <email address hidden>   Wed, 13 Mar 2013 07:08:21 +0000
  • xbmc (2:12.0~git20130103.0959-rc3-0ubuntu1) raring; urgency=low
    
      * New upstream release
         - Version 12.0 RC3 (.orig.tar.gz from upstream PPA
           http://launchpad.net/~team-xbmc/+archive/ppa)
     -- Till Kamppeter <email address hidden>   Fri, 04 Jan 2013 21:11:52 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu8) raring; urgency=low
    
      * debian/patches/series: Re-activate nexus7-fullscreen-fix.patch it was
        not the culprit for XBMC not working on the Nexus 7.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 23:19:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu7) raring; urgency=low
    
      * debian/patches/series: Disable nexus7-fullscreen-fix.patch.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 14:51:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu6) raring; urgency=low
    
      * debian/rules: Disable openmax for now on ARM.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 11:38:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu5) raring; urgency=low
    
      * debian/rules: Build with --disable-vaapi --disable-vdpau on ARM.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 11:01:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu4) raring; urgency=low
    
      * debian/rules: Build without --enable-external-libraries.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 10:28:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu3) raring; urgency=low
    
      * debian/rules: Uses --disable-libcec for now as xbmc does not build with
        current libcec.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 10:09:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu2) raring; urgency=low
    
      * debian/control: Build-depend on gdc | gdc-4.4, as gdc is not available
        on armhf.
     -- Till Kamppeter <email address hidden>   Mon, 24 Dec 2012 10:04:09 +0100
  • xbmc (2:12.0~git20121220.0939-rc2-0ubuntu1) raring; urgency=low
    
      * New upstream release
         - Version 12.0 RC2 (.orig.tar.,gz from upstream PPA
           http://launchpad.net/~team-xbmc/+archive/ppa)
      * nexus7-fullscreen-fix.patch: Refreshed with quilt.
      * pvraddons-with-dependencies.patch, gitrev.patch: Patches overtaken from
        upstream PPA http://launchpad.net/~team-xbmc/+archive/ppa.
      * debian/control: Added build dependencies and runtime dependencies
        (binary package xbmc) according to upstream docs/README.ubuntu.
        New build dependencies: python-sqlite, libxrender-dev, libvorbisenc2,
        libhal-dev, mesa-utils, libmpeg3-dev, fp-compiler, gdc, libssh-dev,
        cvs, libusb-dev, libcap-dev, swig, default-jre, libtag1-dev,
        libsdl-gfx1.2-dev, libafpclient-dev, libcec-dev.
        New runtime dependencies: python-sqlite, python-bluez | python-lightblue,
        python-simplejson, libvorbisenc2, swig, default-jre, zip, unzip, curl,
        libmad0, libass4, libssh-4 | libssh2-1, libnfs1, libbluray1, libshairport1,
        libmp3lame0, libvorbisfile3, libaacs0, libflac8.
        Also new for xbmc binary package: Suggests: libva-intel-vaapi-driver and
        Recommends: libvdpau1
      * debian/rules, debian/xbmc.docs: Updated for new upstream version.
      * debian/postinst, debian/postrm: Install and remove collectsysteminfo.sh.
     -- Till Kamppeter <email address hidden>   Sun, 23 Dec 2012 21:27:09 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu8) raring; urgency=low
    
      * xbmc-startup-script-workarounds-for-arm.patch: Added another workaround to
        get the touchscreen of the Nexus 7 working in the fullscreen mode of XBMC
        (see http://forum.xbmc.org/showthread.php?tid=89536&pid=700557#pid700557).
     -- Till Kamppeter <email address hidden>   Fri, 14 Dec 2012 11:27:30 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu7) raring; urgency=low
    
      * debian/rules: Removed GL check suppression via build-time architecture-
        specific change in /usr/bin/xbmc, as this file is in an architecture-
        independent package which the Ubuntu build servers always build on an
        an i386 server.
      * xbmc-startup-script-workarounds-for-arm.patch: Add two workarounds for
        ARM/Nexus 7 to the /usr/bin/xbmc startup script, once suppressing the GL
        check (LP: #1084201) and second, setting SDL_VIDEO_FULLSCREEN_DISPLAY=0
        to make fullscreen desktop application mode of XBMC working (LP: #1085350).
     -- Till Kamppeter <email address hidden>   Wed, 12 Dec 2012 12:57:30 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu6) raring; urgency=low
    
      * debian/rules: Added multi-arch search path for Python header files
        "-I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7" to CFLAGS and CXXFLAGS.
     -- Till Kamppeter <email address hidden>   Wed, 12 Dec 2012 08:47:30 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu5) raring; urgency=low
    
      * debian/control: Added build dependency on python2.7-dev, also needed for
        Raring.
     -- Till Kamppeter <email address hidden>   Tue, 11 Dec 2012 22:28:30 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu4) raring; urgency=low
    
      * debian/control: Added build dependency on python-dev, needed for Raring.
      * debian/rules: If we are on ARM, disable the checking whether the system
        has GL support, as the check does not recognize GLES. This is also needed
        to fix LP: #1084201. Now XBMC works correctly as desktop environment or as
        desktop app in a window on the Nexus 7 (former method recommended due to
        memory limitations.
     -- Till Kamppeter <email address hidden>   Tue, 11 Dec 2012 20:40:30 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu3) raring; urgency=low
    
      * debian/rules: Use GLES instead of GL on the Nexus 7 (armhf). Patch from
        LP: #1084201.
      * debian/control: Added build dependency on libgles2-mesa-dev, needed for
        the GLES support on armhf.
     -- Till Kamppeter <email address hidden>   Mon, 10 Dec 2012 20:40:30 +0100
  • xbmc (2:11.0~git20120510.82388d5-1ubuntu2) quantal; urgency=low
    
      * Recommend python-gtk2 instead of python-qt3 as the latter is going to
        be removed from the archive. (LP: #1029476; Debian bug #685076)
        python-qt3 was used by FEH.py and FEH-ARM.py. Both support gtk2 as an
        alternative output.
     -- Felix Geyer <email address hidden>   Mon, 24 Sep 2012 10:24:12 +0200